/*
 * Class NATIVE_ARRAY [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_330 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_330 [] = {0xFF01,237,329,194,0xFFFF};
static const EIF_TYPE_INDEX egt_2_330 [] = {0xFF01,329,194,0xFFFF};
static const EIF_TYPE_INDEX egt_3_330 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_330 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_330 [] = {0xFF01,329,194,0xFFFF};
static const EIF_TYPE_INDEX egt_6_330 [] = {0xFF01,329,194,0xFFFF};
static const EIF_TYPE_INDEX egt_7_330 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_330 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_330 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_330 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_330 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_330 [] = {329,194,0xFFFF};
static const EIF_TYPE_INDEX egt_13_330 [] = {0xFF01,329,194,0xFFFF};
static const EIF_TYPE_INDEX egt_14_330 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_330[] = {
	{EIF_GENERIC(NULL), 46, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_330), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_330), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_330), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_330), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_330), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_330), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_330), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_330), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_330), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_330), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_330), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_330), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_330), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_330), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_330), -1, 0xFFFFFFFF},
};
void Init330(void)
{
	IDSC(desc_330, 0, 329);
	IDSC(desc_330 + 1, 1, 329);
	IDSC(desc_330 + 32, 291, 329);
}


#ifdef __cplusplus
}
#endif
